Subject: Re: bug#51321: 29.0.50; date in modelines

From: Niels Søndergaard <[email-masked]>
Date: Tue, 2 Nov 2021 04:40:29 +0100

Hello 

I do nothing special, I do use the sourcecode of 29.0.50 from GitHub direct, build the emacs for nextstep, and launch it from the GUI of macOS.
By now it works perfectly.

This is my build script:
#!/bin/zsh
# Build emacs from daily github save

date > emacs-build.log 2>&1        # logfile
echo "build emacs 29.0.50" > emacs-build.log 2>&1        # logfile
cd emacs  >> ../emacs-build.log 2>&1        # logfile

#####
make clean >> ../emacs-build.log 2>&1        # logfile
if [ $? -eq 0 ]; then
  echo "               " $(date +%H:%M:%S) "make clean status exited successfully"
else
  echo "autogen.sh status exited with error code"
fi
#####
./autogen.sh >> ../emacs-build.log 2>&1
if [ $? -eq 0 ]; then
  echo "               " $(date +%H:%M:%S) "autogen.sh status exited successfully"
else
  echo "autogen.sh status exited with error code"
fi
####
git config pull.rebase false          # merge (the default strategy)
git pull >> ../emacs-build.log 2>&1

if [ $? -eq 0 ]; then
  echo "               " $(date +%H:%M:%S) "git status exited successfully"
else
    echo "git status exited with error code"
fi

####
./configure --with-native-compilation --with-xwidgets --with-mailutils  >> ../emacs-build.log 2>&1
###./configure --with-xwidgets  --with-mailutils >> ../emacs-build.log 2>&1
if [ $? -eq 0 ]; then
  echo  "               " $(date +%H:%M:%S) "configuration exited successfully"
  make >> ../emacs-build.log 2>&1
else
  echo "ERROR in configuration"
fi
#
if [ $? -eq 0 ]; then
  echo "               " $(date +%H:%M:%S) "make 'emacs' exited successfully"
  make install >> ../emacs-build.log 2>&1
else
  echo "ERROR in make "
fi
cd ..
echo "               " $(date +%H:%M:%S) "Now go to emacs/nextstep and move 'Emacs.app' to '/Applications/'"
date >> emacs-build.log 2>&1        # logfile
exit

mvh
Niels

 <applewebdata://229D5228-5FF5-4558-A35F-BAB0C5093AF6>
Niels Søndergaard
Mariehøj 236, 2990 Nivå
 <tel:+45 4052 2789>+45 4052 [email-masked] <mailto:[email-masked]>
Ultra posse nemo obligatur.

> Den 1. nov. 2021 kl. 23.17 skrev Daniel Martín <[email-masked]>:
> 
> Alan Third <[email-masked]> writes:
> 
>> 
>> I know almost nothing about the locale, but from reading the man pages
>> I can't understand why we need to set LC_ALL when we're already
>> setting LANG. Isn't LANG the fallback if LC_ALL isn't set?
> 
> You are right.  Setting LANG should be all that is needed and I think my
> patch should be reverted.
> 
> I'm still confused by Niels's issue, though.  Given the screenshot he
> showed, LANG should have been set to da_DK.UTF-8, which should show the
> weekday in Danish:
> 
> $ LANG=da_DK.UTF-8 date +%c
> Man  1 Nov 22:41:33 2021
> 
> Perhaps the way he launches Emacs inherits a LANG variable already set
> to English.  Or there is a wrapper in some custom Emacs NS distribution
> that sets LANG to English beforehand.  Anyway, I think it's a
> configuration problem somewhere, unrelated to Emacs, that should be
> handled by the user overriding the time locale manually:
> 
> (setq system-time-locale "da_DK.UTF-8")
> 
> WDYT?  Sorry, in retrospective, I think I didn't do the absolutely
> correct thing here.